> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a schedule (/api/v1/revenue-obligations/&#123;id&#125;/schedule)

> Get a schedule (/api/v1/revenue-obligations/&#123;id&#125;/schedule)

### Path parameters

<ParamField path="id" type="string" required>
  Performance obligation ID
</ParamField>

### Responses

<ResponseField name="200" type="RevenueScheduleResponse" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/revenue-obligations/{id}/schedule' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "deferred_total": "string",
    "entries": [
      {
        "amount": "string",
        "period": 1,
        "period_start": "string",
        "status": "string"
      }
    ],
    "obligation_id": "string",
    "recognized_total": "string",
    "total_amount": "string"
  }
  ```
</ResponseExample>
